Subject: Re: bug#1205: 23.0.60; C-x RET c FOO C-x C-g signals an error

From: Kevin Rodgers <[email-masked]>
Date: Wed, 22 Oct 2008 01:05:22 -0600

Drew Adams wrote:
>>>> +     (if (char-equal last-input-char ?\C-g)
>>> quit_char may not be C-g.
>> So ?\C-g should be expressed instead as (nth 3 (current-input-mode)),
>> correct?
> 
> Essentially the question I asked emacs-devel today (based on this thread, though
> I had forgotten where I saw it). See emacs-devel thread "question about
> `quit-char'", FYI.
> 
> The answer I got was no, not in Emacs 23 (or 22 or 21...). Later, maybe. 
> 
> There was a fair amount of noise and distraction in the thread, but that's the
> answer I took away for this question.

That's not the conclusion I came to, which is: You should feel fairly
confident in binding C-g as a quit character in your code, but
Emacs itself should continue to fully support current-input-mode/
set-input-mode -- unless and until a decision is reached to deprecate
the QUIT functionality they provide.

-- 
Kevin Rodgers
Denver, Colorado, USA